#
# Copyright 2020-2022 by A. Mathis Group and contributors. All rights reserved.
#
# This project and all its files are licensed under GNU AGPLv3 or later version. A copy is included in dlc2action/LICENSE.AGPL.
#
"""
## Augmentations and feature concatenation

Input data in `dlc2action` is stored in feature dictionaries right up until being passed to a model.
That makes it possible to define universal augmentations and SSL transformations that work on a range of datasets
naturally. Those dictionaries are generated by a *feature extractor* when a `dlc2action.data.base_store.InputStore`
instance is initialised. They are
then (optionally) processed by SSL transformations (see `dlc2action.ssl) and finally merged into tensors by
*transformers*. `dlc2action.transformer.base_transformer.Transformer` instances
can also perform augmentations before the merging.
"""

from dlc2action.transformer.kinematic import KinematicTransformer
